Home

Gets the node status after waiting for a round after the given round.

GET
https://algo.nownodes.io/v2/status/wait-for-block-after/{round}

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Waits for a block to appear after round {round} and returns the node's status at the time. There is a 1 minute timeout, when reached the current status is returned regardless of whether or not it is the round after the given round.

Parameters

roundinteger>= 0requiredpath

The round to wait until returning status

Response

200OK

Valid response

400Bad Request

Bad Request -- number must be non-negative integer

401Unauthorized

Invalid API Token

500Internal Server Error

Internal Error

503Service Unavailable

Service Temporarily Unavailable

default

Unknown Error